"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.enumToMap = void 0;
function enumToMap(obj, filter, exceptions) {
    const res = {};
    for (const key of Object.keys(obj)) {
        const value = obj[key];
        if (typeof value !== 'number') {
            continue;
        }
        if (filter && !filter.includes(value)) {
            continue;
        }
        if (exceptions && exceptions.includes(value)) {
            continue;
        }
        res[key] = value;
    }
    return res;
}
exports.enumToMap = enumToMap;
//# sourceMappingURL=utils.js.map